Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Can't build on Fedora 16: -lcurses isn't enough #59

Closed
vonbrand opened this Issue May 19, 2012 · 2 comments

Comments

Projects
None yet
2 participants
Contributor

vonbrand commented May 19, 2012

I had to do

make LDLIBS=-lncurses

Owner

jonas commented Aug 20, 2012

This is the expected behavior when you do not use the configure script.

That being said, recently support was added for compiling on Mac OS X without running the configure script, so this could be an option for better supporting Fedora also. So this could be an option, but another Fedora user might just as well have ncursesw installed, which makes it a bit harder to find a good solution.

Personally, I prefer to change the default link depedency to -lncursesw and encourage people to read INSTALL and/or use the configure script.

Owner

jonas commented Aug 20, 2013

Closing this as there has been no reply.

@jonas jonas closed this Aug 20, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment